Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157882 - cyrus-imapd exits abnormally on s390x
Summary: cyrus-imapd exits abnormally on s390x
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cyrus-imapd
Version: 4.0
Hardware: s390x
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Petr Rockai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-16 18:27 UTC by Ben Levenson
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-25 08:36:09 UTC


Attachments (Terms of Use)

Description Ben Levenson 2005-05-16 18:27:36 UTC
Description of problem:
cyrus-imapd on s390x fails with the following messages (from maillog):
master[22137]: about to exec /usr/lib64/cyrus-imapd/lmtpd
lmtpunix[22137]: DBERROR: invalid berkeley_cachesize value, using internal default
lmtpunix[22137]: DBERROR db4: PANIC: fatal region error detected; run recovery
lmtpunix[22137]: DBERROR: critical database situation
master[6768]: process 22137 exited, status 75
master[6768]: service lmtpunix pid 22137 in READY state : terminated abnormally

Version-Release number of selected component (if applicable):
cyrus-imapd-2.2.10-1.RHEL4.1

How reproducible:
100%

Steps to Reproduce:
1. service cyrus-imapd start
2. try to connect to server with 'telnet localhost imap'
3. notice that you can't connect
4. check /var/log/maillog and notice the messages posted above

Comment 1 John Dennis 2005-05-16 18:44:00 UTC
I'm confused, the bug says it's filed against RHEL3, but cyrus-imapd was not
part of RHEL3, only RHEL4 and the rpm name says RHEL4. Was it a mistake that
RHEL3 is listed as the distribution or were you trying to run a RHEL4 package on
RHEL3?

Comment 2 Ben Levenson 2005-05-16 18:53:58 UTC
sorry about that.  should've been filed against RHEL 4.

Comment 3 Simon Matter 2005-08-16 07:03:03 UTC
And it's once again a DB4 problem. Maybe we should get rid of Berkeley DB it and
switch all backends to skiplist instead. BDB is always a PITA, just look at
other bugs like #160317
Could someone try with the following options added to /etc/imapd.conf on s390x:
duplicate_db: skiplist
tlscache_db: skiplist

Comment 5 RHEL Product and Program Management 2006-08-18 17:41:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Petr Rockai 2006-08-24 11:59:18 UTC
Simon's proposal (#3) sounds fair, but i am not sure we want to change 
this on upgrade. It can probably be done, but the process is going to be 
bug-prone. Votes?

Comment 8 RHEL Product and Program Management 2006-08-25 08:36:09 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.